Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.webapp
Class TagLibConfiguration.TldProcessor

    java.lang.Object
      org.eclipse.jetty.webapp.IterativeDescriptorProcessor
          org.eclipse.jetty.webapp.TagLibConfiguration.TldProcessor

All Implemented Interfaces:
  DescriptorProcessor

Enclosing class:
  TagLibConfiguration

    public class TagLibConfiguration.TldProcessor

extends IterativeDescriptorProcessor

TldProcessor Process TldDescriptors representing tag libs to find listeners.

Field Summary
`static java.lang.String` | `TAGLIB_PROCESSOR`

Fields inherited from class org.eclipse.jetty.webapp.IterativeDescriptorProcessor
`__signature, _visitors`

Constructor Summary
`TagLibConfiguration.TldProcessor()`

Method Summary
`void` | `end(WebAppContext context, Descriptor descriptor)`
`void` | `start(WebAppContext context, Descriptor descriptor)`
`void` | `visitListener(WebAppContext context, Descriptor descriptor, XmlParser.Node node)`

Methods inherited from class org.eclipse.jetty.webapp.IterativeDescriptorProcessor
`process, registerVisitor, visit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TAGLIB_PROCESSOR

    public static final java.lang.String TAGLIB_PROCESSOR

See Also:
  Constant Field Values

Constructor Detail

### TagLibConfiguration.TldProcessor

    public TagLibConfiguration.TldProcessor()
                                     throws java.lang.Exception

Throws:
  `java.lang.Exception`

Method Detail

### visitListener

    public void visitListener(WebAppContext context,
                              Descriptor descriptor,
                              XmlParser.Node node)

### end

    public void end(WebAppContext context,
                    Descriptor descriptor)

  Specified by:
    `end` in class `IterativeDescriptorProcessor`

### start

    public void start(WebAppContext context,
                      Descriptor descriptor)

  Specified by:
    `start` in class `IterativeDescriptorProcessor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.